#!/usr/bin/perl -w
use strict;
use PowerEdge::RAC;

my $server = new PowerEdge::RAC(host => '192.168.1.120');
print $server->sysinfo();

# For testing only, uses internal functions
print $server->_send_command('xml2cli2', 'd3debug setFrameConsoleRedirFlag 1');
print "port = ", $server->_send_command('crsportget'), "\n";

# When the server is powered up, the console is redirected
# and someone is logged in at the console 
# this will actually execute the command `ls /' on the server ...

print $server->_send_command('keybsend', '0x26 0xa6 0x1f 0x9f 0x39 0xb9 ');
print $server->_send_command('keybsend', '0x35 0xb5 ');
print $server->_send_command('keybsend', '0x1c ');

print "Done.\n";

